Index: /code/branches/cpp11_v2/src/orxonox/gametypes/UnderAttack.cc
===================================================================
--- /code/branches/cpp11_v2/src/orxonox/gametypes/UnderAttack.cc	(revision 10820)
+++ /code/branches/cpp11_v2/src/orxonox/gametypes/UnderAttack.cc	(revision 10821)
@@ -74,13 +74,13 @@
         this->gameEnded_ = true;
 
-        for (std::map<PlayerInfo*, int>::iterator it = this->teamnumbers_.begin(); it != this->teamnumbers_.end(); ++it)
-        {
-            if (it->first->getClientID() == NETWORK_PEER_ID_UNKNOWN)
+        for (auto & elem : this->teamnumbers_)
+        {
+            if (elem.first->getClientID() == NETWORK_PEER_ID_UNKNOWN)
                 continue;
 
-            if (it->second == attacker_)
-                this->gtinfo_->sendAnnounceMessage("You have won the match!", it->first->getClientID());
+            if (elem.second == attacker_)
+                this->gtinfo_->sendAnnounceMessage("You have won the match!", elem.first->getClientID());
             else
-                this->gtinfo_->sendAnnounceMessage("You have lost the match!", it->first->getClientID());
+                this->gtinfo_->sendAnnounceMessage("You have lost the match!", elem.first->getClientID());
         }
     }
@@ -155,13 +155,13 @@
                 ChatManager::message(message);
 
-                for (std::map<PlayerInfo*, int>::iterator it = this->teamnumbers_.begin(); it != this->teamnumbers_.end(); ++it)
-                {
-                    if (it->first->getClientID() == NETWORK_PEER_ID_UNKNOWN)
+                for (auto & elem : this->teamnumbers_)
+                {
+                    if (elem.first->getClientID() == NETWORK_PEER_ID_UNKNOWN)
                         continue;
 
-                    if (it->second == 1)
-                        this->gtinfo_->sendAnnounceMessage("You have won the match!", it->first->getClientID());
+                    if (elem.second == 1)
+                        this->gtinfo_->sendAnnounceMessage("You have won the match!", elem.first->getClientID());
                     else
-                        this->gtinfo_->sendAnnounceMessage("You have lost the match!", it->first->getClientID());
+                        this->gtinfo_->sendAnnounceMessage("You have lost the match!", elem.first->getClientID());
                 }
             }
Index: /code/branches/cpp11_v2/src/orxonox/interfaces/PickupCarrier.cc
===================================================================
--- /code/branches/cpp11_v2/src/orxonox/interfaces/PickupCarrier.cc	(revision 10820)
+++ /code/branches/cpp11_v2/src/orxonox/interfaces/PickupCarrier.cc	(revision 10821)
@@ -135,9 +135,9 @@
         // Go recursively through all children to check whether they are the target.
         std::vector<PickupCarrier*>* children = this->getCarrierChildren();
-        for(std::vector<PickupCarrier*>::iterator it = children->begin(); it != children->end(); it++)
+        for(auto & elem : *children)
         {
-            if(pickup->isTarget(*it))
+            if(pickup->isTarget(elem))
             {
-                target = *it;
+                target = elem;
                 break;
             }
Index: /code/branches/cpp11_v2/src/orxonox/interfaces/Pickupable.cc
===================================================================
--- /code/branches/cpp11_v2/src/orxonox/interfaces/Pickupable.cc	(revision 10820)
+++ /code/branches/cpp11_v2/src/orxonox/interfaces/Pickupable.cc	(revision 10821)
@@ -160,7 +160,7 @@
     {
         // Iterate through all targets of this Pickupable.
-        for(std::list<Identifier*>::const_iterator it = this->targets_.begin(); it != this->targets_.end(); it++)
+        for(const auto & elem : this->targets_)
         {
-            if(identifier->isA(*it))
+            if(identifier->isA(elem))
                 return true;
         }
Index: /code/branches/cpp11_v2/src/orxonox/items/MultiStateEngine.cc
===================================================================
--- /code/branches/cpp11_v2/src/orxonox/items/MultiStateEngine.cc	(revision 10820)
+++ /code/branches/cpp11_v2/src/orxonox/items/MultiStateEngine.cc	(revision 10821)
@@ -219,8 +219,9 @@
     {
         unsigned int i = 0;
-        for (std::vector<EffectContainer*>::const_iterator it = this->effectContainers_.begin(); it != this->effectContainers_.end(); ++it)
+        for (const auto & elem : this->effectContainers_)
         {
             if (i == index)
-                return (*it);
+                return (elem);
+            i++;
         }
         return nullptr;
Index: /code/branches/cpp11_v2/src/orxonox/items/ShipPart.cc
===================================================================
--- /code/branches/cpp11_v2/src/orxonox/items/ShipPart.cc	(revision 10820)
+++ /code/branches/cpp11_v2/src/orxonox/items/ShipPart.cc	(revision 10821)
@@ -148,7 +148,7 @@
     bool ShipPart::hasEntity(StaticEntity* entity) const
     {
-        for(unsigned int i = 0; i < this->entityList_.size(); i++)
-        {
-            if(this->entityList_[i] == entity)
+        for(auto & elem : this->entityList_)
+        {
+            if(elem == entity)
                 return true;
         }
Index: /code/branches/cpp11_v2/src/orxonox/overlays/OverlayGroup.cc
===================================================================
--- /code/branches/cpp11_v2/src/orxonox/overlays/OverlayGroup.cc	(revision 10820)
+++ /code/branches/cpp11_v2/src/orxonox/overlays/OverlayGroup.cc	(revision 10821)
@@ -62,6 +62,6 @@
     OverlayGroup::~OverlayGroup()
     {
-        for (std::set<StrongPtr<OrxonoxOverlay>>::iterator it = hudElements_.begin(); it != hudElements_.end(); ++it)
-            (*it)->destroy();
+        for (const auto & elem : hudElements_)
+            (elem)->destroy();
         this->hudElements_.clear();
     }
@@ -86,6 +86,6 @@
     void OverlayGroup::setScale(const Vector2& scale)
     {
-        for (std::set<StrongPtr<OrxonoxOverlay>>::iterator it = hudElements_.begin(); it != hudElements_.end(); ++it)
-            (*it)->scale(scale / this->scale_);
+        for (const auto & elem : hudElements_)
+            (elem)->scale(scale / this->scale_);
         this->scale_ = scale;
     }
@@ -94,6 +94,6 @@
     void OverlayGroup::setScroll(const Vector2& scroll)
     {
-        for (std::set<StrongPtr<OrxonoxOverlay>>::iterator it = hudElements_.begin(); it != hudElements_.end(); ++it)
-            (*it)->scroll(scroll - this->scroll_);
+        for (const auto & elem : hudElements_)
+            (elem)->scroll(scroll - this->scroll_);
         this->scroll_ = scroll;
     }
@@ -147,6 +147,6 @@
         SUPER( OverlayGroup, changedVisibility );
 
-        for (std::set<StrongPtr<OrxonoxOverlay>>::iterator it = hudElements_.begin(); it != hudElements_.end(); ++it)
-            (*it)->changedVisibility(); //inform all Child Overlays that our visibility has changed
+        for (const auto & elem : hudElements_)
+            (elem)->changedVisibility(); //inform all Child Overlays that our visibility has changed
     }
 
@@ -155,6 +155,6 @@
         this->owner_ = owner;
 
-        for (std::set<StrongPtr<OrxonoxOverlay>>::iterator it = hudElements_.begin(); it != hudElements_.end(); ++it)
-            (*it)->setOwner(owner);
+        for (const auto & elem : hudElements_)
+            (elem)->setOwner(owner);
     }
 
Index: /code/branches/cpp11_v2/src/orxonox/sound/SoundManager.cc
===================================================================
--- /code/branches/cpp11_v2/src/orxonox/sound/SoundManager.cc	(revision 10820)
+++ /code/branches/cpp11_v2/src/orxonox/sound/SoundManager.cc	(revision 10821)
@@ -407,10 +407,10 @@
         if (ambient != nullptr)
         {
-            for (AmbientList::iterator it = this->ambientSounds_.begin(); it != this->ambientSounds_.end(); ++it)
-            {
-                if (it->first == ambient)
+            for (auto & elem : this->ambientSounds_)
+            {
+                if (elem.first == ambient)
                 {
-                    it->second = true;
-                    this->fadeOut(it->first);
+                    elem.second = true;
+                    this->fadeOut(elem.first);
                     return;
                 }
Index: /code/branches/cpp11_v2/src/orxonox/sound/SoundStreamer.cc
===================================================================
--- /code/branches/cpp11_v2/src/orxonox/sound/SoundStreamer.cc	(revision 10820)
+++ /code/branches/cpp11_v2/src/orxonox/sound/SoundStreamer.cc	(revision 10821)
@@ -68,5 +68,5 @@
         int current_section;
 
-        for(int i = 0; i < 4; i++)
+        for(auto & initbuffer : initbuffers)
         {
             long ret = ov_read(&vf, inbuffer, sizeof(inbuffer), 0, 2, 1, &current_section);
@@ -82,5 +82,5 @@
             }
 
-            alBufferData(initbuffers[i], format, &inbuffer, ret, vorbisInfo->rate);
+            alBufferData(initbuffer, format, &inbuffer, ret, vorbisInfo->rate);
         }
         alSourceQueueBuffers(audioSource, 4, initbuffers);
Index: /code/branches/cpp11_v2/src/orxonox/weaponsystem/Munition.cc
===================================================================
--- /code/branches/cpp11_v2/src/orxonox/weaponsystem/Munition.cc	(revision 10820)
+++ /code/branches/cpp11_v2/src/orxonox/weaponsystem/Munition.cc	(revision 10821)
@@ -55,6 +55,6 @@
     Munition::~Munition()
     {
-        for (std::map<WeaponMode*, Magazine*>::iterator it = this->currentMagazines_.begin(); it != this->currentMagazines_.end(); ++it)
-            delete it->second;
+        for (auto & elem : this->currentMagazines_)
+            delete elem.second;
     }
 
@@ -268,6 +268,6 @@
         {
             // Return true if any of the current magazines is not full (loading counts as full although it returns 0 munition)
-            for (std::map<WeaponMode*, Magazine*>::const_iterator it = this->currentMagazines_.begin(); it != this->currentMagazines_.end(); ++it)
-                if (it->second->munition_ < this->maxMunitionPerMagazine_ && it->second->bLoaded_)
+            for (const auto & elem : this->currentMagazines_)
+                if (elem.second->munition_ < this->maxMunitionPerMagazine_ && elem.second->bLoaded_)
                     return true;
         }
@@ -316,10 +316,10 @@
             {
                 bool change = false;
-                for (std::map<WeaponMode*, Magazine*>::iterator it = this->currentMagazines_.begin(); it != this->currentMagazines_.end(); ++it)
+                for (auto & elem : this->currentMagazines_)
                 {
                     // Add munition if the magazine isn't full (but only to loaded magazines)
-                    if (amount > 0 && it->second->munition_ < this->maxMunitionPerMagazine_ && it->second->bLoaded_)
+                    if (amount > 0 && elem.second->munition_ < this->maxMunitionPerMagazine_ && elem.second->bLoaded_)
                     {
-                        it->second->munition_++;
+                        elem.second->munition_++;
                         amount--;
                         change = true;
Index: /code/branches/cpp11_v2/src/orxonox/weaponsystem/Weapon.cc
===================================================================
--- /code/branches/cpp11_v2/src/orxonox/weaponsystem/Weapon.cc	(revision 10820)
+++ /code/branches/cpp11_v2/src/orxonox/weaponsystem/Weapon.cc	(revision 10821)
@@ -61,6 +61,6 @@
                 this->weaponPack_->removeWeapon(this);
 
-            for (std::multimap<unsigned int, WeaponMode*>::iterator it = this->weaponmodes_.begin(); it != this->weaponmodes_.end(); ++it)
-                it->second->destroy();
+            for (auto & elem : this->weaponmodes_)
+                elem.second->destroy();
         }
     }
@@ -85,8 +85,8 @@
     {
         unsigned int i = 0;
-        for (std::multimap<unsigned int, WeaponMode*>::const_iterator it = this->weaponmodes_.begin(); it != this->weaponmodes_.end(); ++it)
+        for (const auto & elem : this->weaponmodes_)
         {
             if (i == index)
-                return it->second;
+                return elem.second;
 
             ++i;
@@ -136,6 +136,6 @@
     void Weapon::reload()
     {
-        for (std::multimap<unsigned int, WeaponMode*>::iterator it = this->weaponmodes_.begin(); it != this->weaponmodes_.end(); ++it)
-            it->second->reload();
+        for (auto & elem : this->weaponmodes_)
+            elem.second->reload();
     }
 
@@ -148,6 +148,6 @@
     void Weapon::notifyWeaponModes()
     {
-        for (std::multimap<unsigned int, WeaponMode*>::iterator it = this->weaponmodes_.begin(); it != this->weaponmodes_.end(); ++it)
-            it->second->setWeapon(this);
+        for (auto & elem : this->weaponmodes_)
+            elem.second->setWeapon(this);
     }
 }
Index: /code/branches/cpp11_v2/src/orxonox/weaponsystem/WeaponPack.cc
===================================================================
--- /code/branches/cpp11_v2/src/orxonox/weaponsystem/WeaponPack.cc	(revision 10820)
+++ /code/branches/cpp11_v2/src/orxonox/weaponsystem/WeaponPack.cc	(revision 10821)
@@ -76,6 +76,6 @@
     void WeaponPack::fire(unsigned int weaponmode)
     {
-        for (std::vector<Weapon *>::iterator it = this->weapons_.begin(); it != this->weapons_.end(); ++it)
-            (*it)->fire(weaponmode);
+        for (auto & elem : this->weapons_)
+            (elem)->fire(weaponmode);
     }
 
@@ -86,6 +86,6 @@
     void WeaponPack::reload()
     {
-        for (std::vector<Weapon *>::iterator it = this->weapons_.begin(); it != this->weapons_.end(); ++it)
-            (*it)->reload();
+        for (auto & elem : this->weapons_)
+            (elem)->reload();
     }
 
@@ -114,8 +114,8 @@
         unsigned int i = 0;
 
-        for (std::vector<Weapon *>::const_iterator it = this->weapons_.begin(); it != this->weapons_.end(); ++it)
+        for (const auto & elem : this->weapons_)
         {
             if (i == index)
-                return (*it);
+                return (elem);
             ++i;
         }
@@ -132,8 +132,8 @@
     {
         unsigned int i = 0;
-        for (std::set<DefaultWeaponmodeLink*>::const_iterator it = this->links_.begin(); it != this->links_.end(); ++it)
+        for (const auto & elem : this->links_)
         {
             if (i == index)
-                return (*it);
+                return (elem);
 
             ++i;
@@ -144,7 +144,7 @@
     unsigned int WeaponPack::getDesiredWeaponmode(unsigned int firemode) const
     {
-        for (std::set<DefaultWeaponmodeLink*>::const_iterator it = this->links_.begin(); it != this->links_.end(); ++it)
-            if ((*it)->getFiremode() == firemode)
-                return (*it)->getWeaponmode();
+        for (const auto & elem : this->links_)
+            if ((elem)->getFiremode() == firemode)
+                return (elem)->getWeaponmode();
 
         return WeaponSystem::WEAPON_MODE_UNASSIGNED;
Index: /code/branches/cpp11_v2/src/orxonox/weaponsystem/WeaponSet.cc
===================================================================
--- /code/branches/cpp11_v2/src/orxonox/weaponsystem/WeaponSet.cc	(revision 10820)
+++ /code/branches/cpp11_v2/src/orxonox/weaponsystem/WeaponSet.cc	(revision 10821)
@@ -63,7 +63,7 @@
     {
         // Fire all WeaponPacks with their defined weaponmode
-        for (std::map<WeaponPack*, unsigned int>::iterator it = this->weaponpacks_.begin(); it != this->weaponpacks_.end(); ++it)
-            if (it->second != WeaponSystem::WEAPON_MODE_UNASSIGNED)
-                it->first->fire(it->second);
+        for (auto & elem : this->weaponpacks_)
+            if (elem.second != WeaponSystem::WEAPON_MODE_UNASSIGNED)
+                elem.first->fire(elem.second);
     }
 
@@ -71,6 +71,6 @@
     {
         // Reload all WeaponPacks with their defined weaponmode
-        for (std::map<WeaponPack*, unsigned int>::iterator it = this->weaponpacks_.begin(); it != this->weaponpacks_.end(); ++it)
-            it->first->reload();
+        for (auto & elem : this->weaponpacks_)
+            elem.first->reload();
     }
 
Index: /code/branches/cpp11_v2/src/orxonox/weaponsystem/WeaponSystem.cc
===================================================================
--- /code/branches/cpp11_v2/src/orxonox/weaponsystem/WeaponSystem.cc	(revision 10820)
+++ /code/branches/cpp11_v2/src/orxonox/weaponsystem/WeaponSystem.cc	(revision 10821)
@@ -106,9 +106,9 @@
     {
         unsigned int i = 0;
-        for (std::vector<WeaponSlot*>::const_iterator it = this->weaponSlots_.begin(); it != this->weaponSlots_.end(); ++it)
+        for (const auto & elem : this->weaponSlots_)
         {
             ++i;
             if (i > index)
-                return (*it);
+                return (elem);
         }
         return nullptr;
@@ -153,9 +153,9 @@
     {
         unsigned int i = 0;
-        for (std::map<unsigned int, WeaponSet*>::const_iterator it = this->weaponSets_.begin(); it != this->weaponSets_.end(); ++it)
+        for (const auto & elem : this->weaponSets_)
         {
             ++i;
             if (i > index)
-                return it->second;
+                return elem.second;
         }
         return nullptr;
@@ -168,7 +168,7 @@
 
         unsigned int freeSlots = 0;
-        for (std::vector<WeaponSlot*>::iterator it = this->weaponSlots_.begin(); it != this->weaponSlots_.end(); ++it)
-        {
-            if (!(*it)->isOccupied())
+        for (auto & elem : this->weaponSlots_)
+        {
+            if (!(elem)->isOccupied())
                 ++freeSlots;
         }
@@ -184,10 +184,10 @@
         // Attach all weapons to the first free slots (and to the Pawn)
         unsigned int i = 0;
-        for (std::vector<WeaponSlot*>::iterator it = this->weaponSlots_.begin(); it != this->weaponSlots_.end(); ++it)
-        {
-            if (!(*it)->isOccupied() && i < wPack->getNumWeapons())
+        for (auto & elem : this->weaponSlots_)
+        {
+            if (!(elem)->isOccupied() && i < wPack->getNumWeapons())
             {
                 Weapon* weapon = wPack->getWeapon(i);
-                (*it)->attachWeapon(weapon);
+                (elem)->attachWeapon(weapon);
                 this->getPawn()->attach(weapon);
                 ++i;
@@ -196,9 +196,9 @@
 
         // Assign the desired weaponmode to the firemodes
-        for (std::map<unsigned int, WeaponSet *>::iterator it = this->weaponSets_.begin(); it != this->weaponSets_.end(); ++it)
-        {
-            unsigned int weaponmode = wPack->getDesiredWeaponmode(it->first);
+        for (auto & elem : this->weaponSets_)
+        {
+            unsigned int weaponmode = wPack->getDesiredWeaponmode(elem.first);
             if (weaponmode != WeaponSystem::WEAPON_MODE_UNASSIGNED)
-                it->second->setWeaponmodeLink(wPack, weaponmode);
+                elem.second->setWeaponmodeLink(wPack, weaponmode);
         }
 
@@ -219,6 +219,6 @@
 
         // Remove all added links from the WeaponSets
-        for (std::map<unsigned int, WeaponSet *>::iterator it = this->weaponSets_.begin(); it != this->weaponSets_.end(); ++it)
-            it->second->removeWeaponmodeLink(wPack);
+        for (auto & elem : this->weaponSets_)
+            elem.second->removeWeaponmodeLink(wPack);
 
         // Remove the WeaponPack from the WeaponSystem
@@ -231,9 +231,9 @@
     {
         unsigned int i = 0;
-        for (std::vector<WeaponPack*>::const_iterator it = this->weaponPacks_.begin(); it != this->weaponPacks_.end(); ++it)
+        for (const auto & elem : this->weaponPacks_)
         {
             ++i;
             if (i > index)
-                return (*it);
+                return (elem);
         }
         return nullptr;
@@ -268,7 +268,7 @@
         // Check if the WeaponSet belongs to this WeaponSystem
         bool foundWeaponSet = false;
-        for (std::map<unsigned int, WeaponSet *>::iterator it2 = this->weaponSets_.begin(); it2 != this->weaponSets_.end(); ++it2)
-        {
-            if (it2->second == wSet)
+        for (auto & elem : this->weaponSets_)
+        {
+            if (elem.second == wSet)
             {
                 foundWeaponSet = true;
@@ -296,6 +296,6 @@
     void WeaponSystem::reload()
     {
-        for (std::map<unsigned int, WeaponSet *>::iterator it = this->weaponSets_.begin(); it != this->weaponSets_.end(); ++it)
-            it->second->reload();
+        for (auto & elem : this->weaponSets_)
+            elem.second->reload();
     }
 
Index: /code/branches/cpp11_v2/src/orxonox/worldentities/ControllableEntity.cc
===================================================================
--- /code/branches/cpp11_v2/src/orxonox/worldentities/ControllableEntity.cc	(revision 10820)
+++ /code/branches/cpp11_v2/src/orxonox/worldentities/ControllableEntity.cc	(revision 10821)
@@ -165,8 +165,8 @@
     {
         unsigned int i = 0;
-        for (std::list<StrongPtr<CameraPosition>>::const_iterator it = this->cameraPositions_.begin(); it != this->cameraPositions_.end(); ++it)
+        for (const auto & elem : this->cameraPositions_)
         {
             if (i == index)
-                return (*it);
+                return (elem);
             ++i;
         }
@@ -180,7 +180,7 @@
 
         unsigned int counter = 0;
-        for (std::list<StrongPtr<CameraPosition>>::const_iterator it = this->cameraPositions_.begin(); it != this->cameraPositions_.end(); ++it)
-        {
-            if ((*it) == this->currentCameraPosition_)
+        for (const auto & elem : this->cameraPositions_)
+        {
+            if ((elem) == this->currentCameraPosition_)
                 break;
             counter++;
@@ -477,7 +477,7 @@
         if (parent)
         {
-            for (std::list<StrongPtr<CameraPosition>>::iterator it = this->cameraPositions_.begin(); it != this->cameraPositions_.end(); ++it)
-                if ((*it)->getIsAbsolute())
-                    parent->attach((*it));
+            for (auto & elem : this->cameraPositions_)
+                if ((elem)->getIsAbsolute())
+                    parent->attach((elem));
         }
     }
Index: /code/branches/cpp11_v2/src/orxonox/worldentities/EffectContainer.cc
===================================================================
--- /code/branches/cpp11_v2/src/orxonox/worldentities/EffectContainer.cc	(revision 10820)
+++ /code/branches/cpp11_v2/src/orxonox/worldentities/EffectContainer.cc	(revision 10821)
@@ -89,7 +89,7 @@
     {
         unsigned int i = 0;
-        for (std::vector<WorldEntity*>::const_iterator it = this->effects_.begin(); it != this->effects_.end(); ++it)
+        for (const auto & elem : this->effects_)
             if (i == index)
-                return (*it);
+                return (elem);
         return nullptr;
     }
Index: /code/branches/cpp11_v2/src/orxonox/worldentities/WorldEntity.cc
===================================================================
--- /code/branches/cpp11_v2/src/orxonox/worldentities/WorldEntity.cc	(revision 10820)
+++ /code/branches/cpp11_v2/src/orxonox/worldentities/WorldEntity.cc	(revision 10821)
@@ -233,14 +233,14 @@
 
             // iterate over all children and change their activity as well
-            for (std::set<WorldEntity*>::const_iterator it = this->getAttachedObjects().begin(); it != this->getAttachedObjects().end(); it++)
+            for (const auto & elem : this->getAttachedObjects())
             {
                 if(!this->isActive())
                 {
-                    (*it)->bActiveMem_ = (*it)->isActive();
-                    (*it)->setActive(this->isActive());
+                    (elem)->bActiveMem_ = (elem)->isActive();
+                    (elem)->setActive(this->isActive());
                 }
                 else
                 {
-                    (*it)->setActive((*it)->bActiveMem_);
+                    (elem)->setActive((elem)->bActiveMem_);
                 }
             }
@@ -259,14 +259,14 @@
         {
             // iterate over all children and change their visibility as well
-            for (std::set<WorldEntity*>::const_iterator it = this->getAttachedObjects().begin(); it != this->getAttachedObjects().end(); it++)
+            for (const auto & elem : this->getAttachedObjects())
             {
                 if(!this->isVisible())
                 {
-                    (*it)->bVisibleMem_ = (*it)->isVisible();
-                    (*it)->setVisible(this->isVisible());
+                    (elem)->bVisibleMem_ = (elem)->isVisible();
+                    (elem)->setVisible(this->isVisible());
                 }
                 else
                 {
-                    (*it)->setVisible((*it)->bVisibleMem_);
+                    (elem)->setVisible((elem)->bVisibleMem_);
                 }
             }
@@ -518,8 +518,8 @@
     {
         unsigned int i = 0;
-        for (std::set<WorldEntity*>::const_iterator it = this->children_.begin(); it != this->children_.end(); ++it)
+        for (const auto & elem : this->children_)
         {
             if (i == index)
-                return (*it);
+                return (elem);
             ++i;
         }
@@ -938,6 +938,6 @@
         // Recalculate mass
         this->childrenMass_ = 0.0f;
-        for (std::set<WorldEntity*>::const_iterator it = this->children_.begin(); it != this->children_.end(); ++it)
-            this->childrenMass_ += (*it)->getMass();
+        for (const auto & elem : this->children_)
+            this->childrenMass_ += (elem)->getMass();
         recalculateMassProps();
         // Notify parent WE
Index: /code/branches/cpp11_v2/src/orxonox/worldentities/pawns/ModularSpaceShip.cc
===================================================================
--- /code/branches/cpp11_v2/src/orxonox/worldentities/pawns/ModularSpaceShip.cc	(revision 10820)
+++ /code/branches/cpp11_v2/src/orxonox/worldentities/pawns/ModularSpaceShip.cc	(revision 10821)
@@ -99,13 +99,13 @@
             }
             // iterate through all attached parts
-            for(unsigned int j = 0; j < this->partList_.size(); j++)
+            for(auto & elem : this->partList_)
             {
                 // if the name of the part matches the name of the object, add the object to that parts entitylist (unless it was already done).
-                if((this->partList_[j]->getName() == this->getAttachedObject(i)->getName()) && !this->partList_[j]->hasEntity(orxonox_cast<StaticEntity*>(this->getAttachedObject(i))))
+                if((elem->getName() == this->getAttachedObject(i)->getName()) && !elem->hasEntity(orxonox_cast<StaticEntity*>(this->getAttachedObject(i))))
                 {
                     // The Entity is added to the part's entityList_
-                    this->partList_[j]->addEntity(orxonox_cast<StaticEntity*>(this->getAttachedObject(i)));
+                    elem->addEntity(orxonox_cast<StaticEntity*>(this->getAttachedObject(i)));
                     // An entry in the partMap_ is created, assigning the part to the entity.
-                    this->addPartEntityAssignment((StaticEntity*)(this->getAttachedObject(i)), this->partList_[j]);
+                    this->addPartEntityAssignment((StaticEntity*)(this->getAttachedObject(i)), elem);
                 }
             }
@@ -146,8 +146,8 @@
     ShipPart* ModularSpaceShip::getPartOfEntity(StaticEntity* entity) const
     {
-        for (std::map<StaticEntity*, ShipPart*>::const_iterator it = this->partMap_.begin(); it != this->partMap_.end(); ++it)
-        {
-            if (it->first == entity)
-                return it->second;
+        for (const auto & elem : this->partMap_)
+        {
+            if (elem.first == entity)
+                return elem.second;
         }
         return nullptr;
@@ -242,9 +242,9 @@
     ShipPart* ModularSpaceShip::getShipPartByName(std::string name)
     {
-        for(std::vector<ShipPart*>::iterator it = this->partList_.begin(); it != this->partList_.end(); ++it)
-        {
-            if(orxonox_cast<ShipPart*>(*it)->getName() == name)
-            {
-                return orxonox_cast<ShipPart*>(*it);
+        for(auto & elem : this->partList_)
+        {
+            if(orxonox_cast<ShipPart*>(elem)->getName() == name)
+            {
+                return orxonox_cast<ShipPart*>(elem);
             }
         }
@@ -261,7 +261,7 @@
     bool ModularSpaceShip::hasShipPart(ShipPart* part) const
     {
-        for(unsigned int i = 0; i < this->partList_.size(); i++)
-        {
-            if(this->partList_[i] == part)
+        for(auto & elem : this->partList_)
+        {
+            if(elem == part)
                 return true;
         }
Index: /code/branches/cpp11_v2/src/orxonox/worldentities/pawns/SpaceShip.cc
===================================================================
--- /code/branches/cpp11_v2/src/orxonox/worldentities/pawns/SpaceShip.cc	(revision 10820)
+++ /code/branches/cpp11_v2/src/orxonox/worldentities/pawns/SpaceShip.cc	(revision 10821)
@@ -158,6 +158,6 @@
 
         // Run the engines
-        for(std::vector<Engine*>::iterator it = this->engineList_.begin(); it != this->engineList_.end(); it++)
-            (*it)->run(dt);
+        for(auto & elem : this->engineList_)
+            (elem)->run(dt);
 
         if (this->hasLocalController())
@@ -318,7 +318,7 @@
     bool SpaceShip::hasEngine(Engine* engine) const
     {
-        for(unsigned int i = 0; i < this->engineList_.size(); i++)
-        {
-            if(this->engineList_[i] == engine)
+        for(auto & elem : this->engineList_)
+        {
+            if(elem == engine)
                 return true;
         }
@@ -350,7 +350,7 @@
     Engine* SpaceShip::getEngineByName(const std::string& name)
     {
-        for(size_t i = 0; i < this->engineList_.size(); ++i)
-            if(this->engineList_[i]->getName() == name)
-                return this->engineList_[i];
+        for(auto & elem : this->engineList_)
+            if(elem->getName() == name)
+                return elem;
 
         orxout(internal_warning) << "Couldn't find Engine with name \"" << name << "\"." << endl;
@@ -396,6 +396,6 @@
     void SpaceShip::addSpeedFactor(float factor)
     {
-        for(unsigned int i=0; i<this->engineList_.size(); i++)
-            this->engineList_[i]->addSpeedMultiply(factor);
+        for(auto & elem : this->engineList_)
+            elem->addSpeedMultiply(factor);
     }
 
@@ -408,6 +408,6 @@
     void SpaceShip::addSpeed(float speed)
     {
-        for(unsigned int i=0; i<this->engineList_.size(); i++)
-            this->engineList_[i]->addSpeedAdd(speed);
+        for(auto & elem : this->engineList_)
+            elem->addSpeedAdd(speed);
     }
 
@@ -436,8 +436,8 @@
     {
         float speed=0;
-        for(unsigned int i=0; i<this->engineList_.size(); i++)
-        {
-            if(this->engineList_[i]->getMaxSpeedFront() > speed)
-                speed = this->engineList_[i]->getMaxSpeedFront();
+        for(auto & elem : this->engineList_)
+        {
+            if(elem->getMaxSpeedFront() > speed)
+                speed = elem->getMaxSpeedFront();
         }
         return speed;
